/*
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * "The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * The Original Code is ICEpdf 4.1 open source software code, released
 * May 1st, 2009. The Initial Developer of the Original Code is ICEsoft
 * Technologies Canada, Corp. Portions created by ICEsoft are Copyright (C)
 * 2004-2010 ICEsoft Technologies Canada, Corp. All Rights Reserved.
 *
 * Contributor(s): _____________________.
 *
 * Alternatively, the contents of this file may be used under the terms of
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"
 * License), in which case the provisions of the LGPL License are
 * applicable instead of those above. If you wish to allow use of your
 * version of this file only under the terms of the LGPL License and not to
 * allow others to use your version of this file under the MPL, indicate
 * your decision by deleting the provisions above and replace them with
 * the notice and other provisions required by the LGPL License. If you do
 * not delete the provisions above, a recipient may use your version of
 * this file under either the MPL or the LGPL License."
 *
 */
package org.icepdf.core.util;

public class PropertyConstants {

    // property change event names

    public final static String

            DOCUMENT_CURRENT_PAGE = "documentCurrentPage",

            DOCUMENT_TOOL_PAN = "documentToolRotation",
            DOCUMENT_TOOL_ZOOM_IN = "documentToolZoomIn",
            DOCUMENT_TOOL_ZOOM_OUT = "documentToolZoomOut",
//           DOCUMENT_TOOL_DYNAMIC_ROTATION   = "documentToolDynamicRotation",
//           DOCUMENT_TOOL_DYNAMIC_ZOOM       = "documentToolDynamicZoom",

            DOCUMENT_TOOL_NONE = "documentToolNone",
            DOCUMENT_TOOL_TEXT_SELECTION = "documentToolTextSelect",
            DOCUMENT_TOOL_ANNOTATION_SELECTION = "documentToolAnnotationSelect",

            DOCUMENT_INITIALIZING_PAGE = "documentPageInitialization",
            DOCUMENT_PAINTING_PAGE = "documentPagePainting",

            TEXT_DESELECTED = "textDeselected",
            TEXT_SELECTED = "textSelected",
            TEXT_SELECT_ALL = "textSelectAll",

            ANNOTATION_SELECTED = "annotationSelected",
            ANNOTATION_DESELECTED = "annotationDeselected",

            ANNOTATION_DELETED = "annotationDeleted",

            ANNOTATION_BOUNDS = "annotationBounds",

            ANNOTATION_FOCUS_GAINED = "annotationFocusGained",
            ANNOTATION_FOCUS_LOST = "annotationFocusLost",

            // not in use
            ANNOTATION_NEW_LINK = "annotationNewLink"
          ;


}
